Довідка

Керований WordPress Довідка

Біп... джжж... біп... обчислюємо... вираховуємо... нове речення...
Здається, божевільні роботи знову взялися до свого! Вони заходилися працювати та переклали цю сторінку на вашу мову. Ці роботи мають найкращі наміри та вкладають у переклад свою металеву душу. Вони бажають допомогти вам! За допомогою кнопок внизу сторінки повідомте нам, наскільки добре попрацювали роботи. Перейти до англійської версії

Проблеми з WordPress версії 5.6 з jQuery

WordPress оновлює та покращує роботу програми. 12 серпня 2020 р. Було випущено WordPress 5.5 як першу фазу плану. Сайти, які працювали на старіших версіях jQuery, не працювали через вилучення бібліотеки jQuery Migrate 1.x. Бібліотека jQuery Migrate дозволяє плагінам і темам використовувати старіші версії jQuery. Ці старіші версії містять вразливість щодо відмови в обслуговуванні (DoS) та міжсайтових сценаріїв (XSS).

WordPress випустив плагін Enable jQuery Migrate Helper для відновлення функціональності сайтів, порушених після зміни версії 5.5. Цей плагін потрібно буде оновити після випуску WordPress 5.6. Сайти, які наразі покладаються на цей плагін, щоб надалі запускати старіші версії jQuery, знову не працюватимуть без оновлення.

Яка версія jQuery постачається в комплекті з WordPress 5.6?

WordPress 5.6 випустить пакет із бібліотекою jQuery версії 3.5.1 .

Що робити?

Якщо ви інсталювали плагін Enable jQuery Migrate Helper плагін для вирішення проблем після випуску WordPress 5.5, плануйте оновити його та інші плагіни та теми .

Коли слід очікувати випуску WordPress 5.6?

Кінцевою датою випуску WordPress 5.6 є 8 грудня 2020 р. Докладні відомості див. На сайті make.wordpress.org.


Чи була ця стаття корисною?
Дякуємо за ваш відгук. Щоб звернутися до представника служби підтримки, скористайтеся телефонним номером або чатом (див. вище).
Ми раді, що змогли допомогти! Що ще ми можемо для вас зробити?
Нам дуже прикро. Повідомте нам, що викликало замішання або чому рішення не усунуло вашу проблему.